- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 094a47bc-b4df-43c5-a70d-83b529662516
    creation_time: 2023-02-17T13:38:13.396381Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_valuebound2.c: 5211c9fa82ede95ab74fc9c54718f437923c350e1c105ec6d7fa45c8b49537a3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_valuebound2.c
    file_hash: 5211c9fa82ede95ab74fc9c54718f437923c350e1c105ec6d7fa45c8b49537a3
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: y * y - 2 * x + y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5c719904-d42c-468c-9bd1-731ff17d693a
    creation_time: 2023-02-17T13:38:13.396749Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_valuebound2.c: 5211c9fa82ede95ab74fc9c54718f437923c350e1c105ec6d7fa45c8b49537a3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_valuebound2.c
    file_hash: 5211c9fa82ede95ab74fc9c54718f437923c350e1c105ec6d7fa45c8b49537a3
    line: 28
    column: 0
    function: main
  location_invariant:
    string: (y * y) - 2 * x + y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d17a046a-221d-4539-b0ad-50d9f6223480
    creation_time: 2023-02-17T13:38:13.396840Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_valuebound2.c: 5211c9fa82ede95ab74fc9c54718f437923c350e1c105ec6d7fa45c8b49537a3
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_valuebound2.c
    file_hash: 5211c9fa82ede95ab74fc9c54718f437923c350e1c105ec6d7fa45c8b49537a3
    line: 37
    column: 0
    function: main
  location_invariant:
    string: (y*y) - 2*x + y == 0
    type: assertion
    format: C

